def friends_serialize(friends: list, external_friends: list) -> dict:
    serialized_friends: dict = {
        'friends': [],
        'external_friends': []
    }

    for friend in friends:
        status = friend.status if hasattr(friend, 'status') else 'null'

        serialized_friends["friends"].append({
            "id": str(friend["_id"]),
            "user_id": friend["user_id"],
            "friend_user_id": friend["friend_user_id"],
            "status": status
        })

    for external_friend in external_friends:
        status = external_friend.status if hasattr(external_friend, 'status') else 'null'

        serialized_friends["external_friends"].append({
            "id": str(external_friend["_id"]),
            "user_id": external_friend["user_id"],
            "friend_user_id": external_friend["friend_user_id"],
            "status": status
        })

    return serialized_friends